# $Revision: 1.33 $, $Date: 2008/07/27 23:00:08 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network!)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	Jabber
Summary:	Net::Jabber Perl module - access to the Jabber protocol
Summary(pl.UTF-8):	Moduł Perla Net::Jabber - dostęp do protokołu Jabbera
Name:		perl-Net-Jabber
Version:	2.0
Release:	2
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1fd348fb9a1a6c5a167ae862ed89cd53
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Digest-SHA1 >= 1.02
BuildRequires:	perl-XML-Stream >= 1.17
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Jabber is a collection of Perl modules that provide a Perl
Developer access to the Jabber protocol. Using OOP modules they
provide a clean interface to writing anything from a full client to a
simple protocol tester.

%description -l pl.UTF-8
Net::Jabber to zbiór modułów Perla dających programiście perlowemu
dostęp do protokołu Jabbera. Zorientowane obiektowo moduły dają czysty
interfejs do pisania wszystkiego od pełnego klienta do prostego
testera protokołu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__perl} -pi -e 's/^(use 5.006_)0(01;)(.*)$/$1$2$3/' Jabber/X.pm

%build
echo -e "y\ny\ny\n" | perl Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%{__make} install \
	UNINST=0 \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%{perl_vendorlib}/Net/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-Jabber.spec,v $
Revision 1.33  2008/07/27 23:00:08  arekm
- release 2

Revision 1.32  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.30  2004/12/01 18:01:17  radek
- autoupdated to 2.0

Revision 1.29  2004/11/03 22:30:36  paladine
- formatting

Revision 1.28  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.27  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.26  2004/04/27 00:33:49  ankry
- cosmetics

Revision 1.25  2004/04/04 17:42:57  adamg
- updated to 1.30

Revision 1.24  2004/01/07 13:37:30  qboosh
- longer descriptions, tests (off by default)

Revision 1.23  2003/09/22 09:45:14  migo
- up to 1.29

Revision 1.22  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.21  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/05/06 00:34:26  ankry
- fixed perl version required by modele, cosmetics; rel. 3

Revision 1.18  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.17  2003/03/01 20:21:49  radek
- should be ready for perl-5.8.0; release++

Revision 1.16  2003/02/18 15:37:09  ankry
- massive attack: change CPAN URLs

Revision 1.15  2002/11/28 18:10:18  mis
- autoupdated to 1.28

Revision 1.14  2002/11/20 12:24:12  mis
- autoupdated to 1.27

Revision 1.13  2002/07/20 10:22:22  qboosh
- updated to 1.26, added BRs and BuildArch: noarch

Revision 1.12  2002/07/12 09:04:40  qboosh
- new %%doc and cosmetics

Revision 1.11  2002/07/11 08:02:16  depesz
- new version; should work; STBR

Revision 1.10  2002/07/10 08:48:12  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.9  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/02/25 10:33:15  depesz
cleanup; revision++

Revision 1.7  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/13 14:19:00  depesz
automatic: Source location unfied, Relase Up

Revision 1.5  2002/02/10 15:29:41  depesz
adapterized

Revision 1.4  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.3  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2002/01/02 14:30:05  qboosh
- use %%rpmcflags and %%_examplesdir macros

Revision 1.1  2001/12/31 08:24:38  jajcus
- new spec
